Bug 1872806 - [BM][IPI] Deployment failed while reaching registry
Summary: [BM][IPI] Deployment failed while reaching registry
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.6.0
Assignee: Antoni Segura Puimedon
QA Contact: Aleksandra Malykhin
URL:
Whiteboard:
Depends On:
Blocks: 1873207
TreeView+ depends on / blocked
 
Reported: 2020-08-26 16:23 UTC by Yurii Prokulevych
Modified: 2020-09-09 07:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1873207 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2030 None closed Bug 1872806: [baremetal] Wait for NM dhcp nameserver population 2020-09-22 09:39:20 UTC

Comment 2 Antoni Segura Puimedon 2020-08-27 13:37:48 UTC
How reproducible:
-----------------
100%


Steps to Reproduce:
-------------------
1. Deploy disconnected BM IPI cluster with provisioning network IPv4 and baremetal network IPv6


Actual results:
---------------
Deployment failed


Expected results:
-----------------
Deployment succeeded


Additional info:
----------------
The upstream DNS server received via DHCP is later added to the /etc/resolv.conf

The possible race is here: https://github.com/openshift/machine-config-operator/blob/master/templates/common/baremetal/files/NetworkManager-resolv-prepender.yaml#L29

when we do connection down ; connection up /var/run/NetworkManager/resolv.conf is empty; adding a 3 sec delay before and DNS server received via DHCP is there.

Comment 3 Antoni Segura Puimedon 2020-08-27 15:40:41 UTC
Waiting for the content seems to help


Note You need to log in before you can comment on or make changes to this bug.